package cn.iselab.mooctest.user.web.logic;

import cn.iselab.mooctest.rpc.user.data.MedalCaughtDTO;
import cn.iselab.mooctest.rpc.user.data.MedalDTO;

import java.util.List;

/**
 * @Author ROKG
 * @Description
 * @Date: Created in 下午11:05 2018/2/13
 * @Modified By:
 */
public interface MedalLogic {

    MedalDTO saveMedal(MedalDTO dto);

    MedalDTO getMedal(long medalId);

    MedalDTO updateMedal(MedalDTO dto);

    void deleteMedal(long medalId);

    List<MedalDTO> getMedals(String keyword, Long userId);

    MedalCaughtDTO saveMedalCaughtDTO(MedalCaughtDTO dto);

    List<MedalCaughtDTO> getMedalList(long userId);
}
